## silx 0.6.1+dfsg

=== requirements.txt ===
# List all dependencies of silx
# Requires pip >= 8.0

--trusted-host www.silx.org
--find-links http://www.silx.org/pub/wheelhouse/
--only-binary numpy,h5py,scipy,PyQt4,PyQt5,PySide

numpy >= 1.8
fabio >= 0.4              # For silx.io
h5py                      # For silx.io
pyopencl                  # For silx.opencl
Mako                      # For pyopencl reduction
ipython                   # For silx.gui.console
qtconsole                 # For silx.gui.console
matplotlib >= 1.2.0       # For silx.gui.plot
PyOpenGL                  # For silx.gui.plot3d
# PyQt4, PyQt5 or PySide  # For silx.gui
# scipy                   # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test

# Try to install a Qt binding from a wheel
# This is no available for all configurations

# Require PyQt when wheel is available
PyQt5; python_version >= '3.5'
PyQt4; sys_platform == 'win32' and python_version == '2.7'  # From silx.org
PyQt4; sys_platform == 'darwin' and python_version == '2.7'  # From silx.org

# Require scipy when wheel is available
scipy; sys_platform != 'win32'
