## silx 0.3.0~adev0

=== debian/changelog ===
silx (0.3.0~adev0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * silx snapshot 0.3.0-dev0 built for debian 8

 -- edna tester <tester@edna-site.org>  Wed, 12 Oct 2016 02:26:36 +0200

silx (0.3.0~adev0-1) UNRELEASED; urgency=medium

  * upstream development build of silx 0.3.0-dev0

 -- edna tester <tester@edna-site.org>  Wed, 12 Oct 2016 02:26:36 +0200

silx (0.1.0-1) unstable; urgency=low

  * debian/control
    - Comment -dbg packages
  * Upstream version 0.1.0

 -- Thomas Vincent <thomas.vincent@esrf.fr>  Thu, 14 Apr 2016 09:35:28 +0200

silx (0.0.0-1) unstable; urgency=low

  * Initial release (Closes: #??????)

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Tue, 15 Mar 2016 11:00:20 +0100
