=== debian/control ===
Source: silx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               cython3,
               debhelper,
               dh-python,
               python-all-dev,
               python-h5py,
               python-matplotlib,
               python-numpy,
               python-pyqt5,
               python-sphinx,
               python-sphinxcontrib.programoutput,
               python3-all-dev,
               python3-h5py,
               python3-matplotlib,
               python3-numpy,
               python3-pyqt5,
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/silx.git
Homepage:  https://github.com/silex-kit/silx
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

# Commented *-dbg Build-Depends of Source: silx
#               cython-dbg,
#               cython3-dbg,
#               python-all-dbg,
#               python-matplotlib-dbg,
#               python-numpy-dbg,
#               python-pyqt5-dbg,
#               python3-all-dbg,
#               python3-matplotlib-dbg,
#               python3-numpy-dbg,
#               python3-pyqt5-dbg,

#Package: silx
#Architecture: all
#Depends: ${misc:Depends},
#         ${python:Depends},
#         ${shlibs:Depends},
#         python3-silx (>= ${source:Version})
#Description: Toolbox for X-Ray data analysis - Executables

Package: python-silx
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-numpy,
         python-h5py,
         python-pyqt5,
         python-matplotlib
Recommends: python-scipy,
Suggests: python-rfoo
Description: Toolbox for X-Ray data analysis - Python2 library
 .
 This is the Python 2 version of the package.

#Package: python-silx-dbg
#Architecture: any
#Section: debug
#Depends: ${misc:Depends},
#         ${python:Depends},
#         ${shlibs:Depends},
#         python-silx (= ${binary:Version}),
#Recommends: python-dbg,
#            python-numpy-dbg,
#            python-pyqt5-dbg,
#            python-matplotlib-dbg
#Suggests: python-scipy.dbg
#Description: Toolbox for X-Ray data analysis - python2 debug
# .
# This package contains the extension built for the Python 2 debug
# interpreter.

Package: python3-silx
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-numpy,
         python3-h5py,
         python3-pyqt5,
         python3-matplotlib
Recommends: python3-scipy,
#Suggests: python3-rfoo
Description: Toolbox for X-Ray data analysis - Python3
 .
 This is the Python 3 version of the package.

#Package: python3-silx-dbg
#Architecture: any
#Section: debug
#Depends: ${misc:Depends},
#         ${python3:Depends},
#         ${shlibs:Depends},
#         python3-silx (= ${binary:Version}),
#Recommends: python3-dbg,
#            python3-numpy-dbg,
#            python3-pyqt5-dbg,
#            python3-matplotlib-dbg
#Description: Toolbox for X-Ray data analysis - Python3 debug
# .
# This package contains the extension built for the Python 3 debug
# interpreter.

Package: python-silx-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Toolbox for X-Ray data analysis - Documentation
 .
 This is the common documentation package.
