## silx 0.4.0

=== debian/changelog ===
silx (0.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * silx snapshot 0.4.0 built for debian 8

 -- Henri PAYNO <henri.payno@esrf.fr>  Tue, 31 Jan 2017 11:38:24 +0100

silx (0.4.0-1) UNRELEASED; urgency=medium

  * upstream development build of silx 0.4.0

 -- Henri PAYNO <henri.payno@esrf.fr>  Tue, 31 Jan 2017 11:38:24 +0100

silx (0.3.0-1) unstable; urgency=low

  * debian/control
    - Add missing dependencies
    - Add -dbg packages
  * Upstream version 0.4.0a

 -- Thomas Vincent <tvincent@edna-site.org>  Mon, 23 Jan 2017 17:09:20 +0100
