=== debian/control ===
Source: silx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               libstdc++6-4.9-dbg,
               libstdc++-4.9-dev,
               libstdc++6,
               debhelper (>=9.20150101+deb8u2),
               dh-python,
               python-all-dev,
               python-all-dbg,
               python-numpy,
               python-numpy-dbg,
               python-fabio,
               python-fabio-dbg,
               python-h5py,
               python-h5py-dbg,
               python-pyopencl,
               python-pyopencl-dbg,
               python-mako,
               ipython,
               ipython-qtconsole,
               python-matplotlib,
               python-matplotlib-dbg,
               python-opengl,
               python-pyqt5,
               python-pyqt5-dbg,
               python-pyqt5.qtopengl,
               python-pyqt5.qtopengl-dbg,
               python-scipy,
               python-scipy-dbg,
               python-sphinx,
               python-sphinxcontrib.programoutput,
               python3-all-dev,
               python3-all-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-fabio,
               python3-fabio-dbg,
               python3-h5py,
               python3-h5py-dbg,
               python3-pyopencl,
               python3-pyopencl-dbg,
               python3-mako,
               ipython3,
               ipython3-qtconsole,
               python3-matplotlib,
               python3-matplotlib-dbg,
               python3-opengl,
               python3-pyqt5,
               python3-pyqt5-dbg,
               python3-pyqt5.qtopengl,
               python3-pyqt5.qtopengl-dbg,
               python3-scipy,
               python3-scipy-dbg,
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/silx.git
Homepage: https://github.com/silx-kit/silx
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

#Package: silx
#Architecture: all
#Depends: ${misc:Depends},
#         ${python:Depends},
#         ${shlibs:Depends},
#         python3-silx (>= ${source:Version})
#Description: Toolbox for X-Ray data analysis - Executables

Package: python-silx
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         libstdc++6,
         python-numpy,
         python-fabio,
         python-h5py,
         python-pyopencl,
         python-mako,
         ipython,
         ipython-qtconsole,
         python-matplotlib,
         python-opengl,
         python-pyqt5,
         python-pyqt5.qtopengl,
         python-scipy,
# Recommends:
Suggests: python-rfoo
Description: Toolbox for X-Ray data analysis - Python2 library
 .
 This is the Python 2 version of the package.

Package: python-silx-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-silx (= ${binary:Version}),
         libstdc++6-4.9-dbg,
         python-dbg,
         python-numpy-dbg,
         python-fabio-dbg,
         python-h5py-dbg,
         python-pyopencl-dbg,
         python-mako,
         ipython,
         ipython-qtconsole,
         python-matplotlib-dbg,
         python-opengl,
         python-pyqt5-dbg,
         python-pyqt5.qtopengl-dbg,
         python-scipy-dbg,
Description: Toolbox for X-Ray data analysis - python2 debug
 .
 This package contains the extension built for the Python 2 debug
 interpreter.

Package: python3-silx
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libstdc++6,
         python3-numpy,
         python3-fabio,
         python3-h5py,
         python3-pyopencl,
         python3-mako,
         ipython3,
         ipython3-qtconsole,
         python3-matplotlib,
         python3-opengl,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-scipy,
# Recommends:
# Suggests: python3-rfoo
Description: Toolbox for X-Ray data analysis - Python3
 .
 This is the Python 3 version of the package.

Package: python3-silx-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-silx (= ${binary:Version}),
         libstdc++6-4.9-dbg,
         python3-dbg,
         python3-numpy-dbg,
         python3-fabio-dbg,
         python3-h5py-dbg,
         python3-pyopencl-dbg,
         python3-mako,
         ipython3,
         ipython3-qtconsole,
         python3-matplotlib-dbg,
         python3-opengl,
         python3-pyqt5-dbg,
         python3-pyqt5.qtopengl-dbg,
         python3-scipy-dbg,
Description: Toolbox for X-Ray data analysis - Python3 debug
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

Package: python-silx-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Toolbox for X-Ray data analysis - Documentation
 .
 This is the common documentation package.
