=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,15 @@
 override_dh_install:
 	dh_numpy
 	dh_numpy3
+
+	# remove all py/pyc/egg-info files from dbg packages
+	find debian/python-silx-dbg/usr -type f \( -not -name "*.so" \) -delete
+	find debian/python3-silx-dbg/usr -type f \( -not -name "*.so" \) -delete
+
 	dh_install
 
 override_dh_auto_test:
-	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} WITH_QT_TEST=False {interpreter} run_tests.py"
+	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} WITH_QT_TEST=False {interpreter} run_tests.py -i"
 
 #override_dh_installman:
 #	dh_installman -p silx doc/*.1
