## silx 0.6.0+dfsg

=== debian/changelog ===
silx (0.6.0+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 15 Oct 2017 08:25:17 +0200

silx (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.6.0+dfsg
  * d/patches
    - 0001-fix-the-build_man-target.patch (deleted)
    - 0004-test-unactive-ressource-for-now.patch (deleted)
    - 0005-fix-the-sift-removal.patch (deleted)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 07 Oct 2017 08:08:56 +0200

silx (0.5.0+dfsg-2) unstable; urgency=medium

  * d/control
    - Added all the -dbg dependencies for the -dbg packages.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Sep 2017 15:10:44 +0200

silx (0.5.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #871637)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Aug 2017 11:00:20 +0100
