=== debian/control ===
Source: silx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: cython (>= 0.23.2),
               cython-dbg (>= 0.23.2),
               cython3 (>= 0.23.2),
               cython3-dbg (>= 0.23.2),
               debhelper (>= 10),
               dh-python,
               help2man,
               ipython,
               ipython-qtconsole,
               ipython3,
               ipython3-qtconsole,
               python-all-dbg,
               python-all-dev,
               python-enum34,
               python-fabio,
               python-fabio-dbg,
               python-h5py,
               python-h5py-dbg,
               python-lxml,
               python-lxml-dbg,
               python-mako,
               python-matplotlib,
               python-matplotlib-dbg,
               python-numpy,
               python-numpy-dbg,
               python-opengl,
               python-pil,
               python-pil-dbg,
               python-pyopencl,
               python-pyopencl-dbg,
               python-pyqt5,
               python-pyqt5-dbg,
               python-pyqt5.qtopengl,
               python-pyqt5.qtopengl-dbg,
               python-pyqt5.qtsvg,
               python-pyqt5.qtsvg-dbg,
               python-scipy,
               python-scipy-dbg,
               python-setuptools,
               python-sphinx,
               python-sphinxcontrib.programoutput,
               python3-all-dbg,
               python3-all-dev,
               python3-fabio,
               python3-fabio-dbg,
               python3-h5py,
               python3-h5py-dbg,
               python3-mako,
               python3-matplotlib,
               python3-matplotlib-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-opengl,
               python3-pil,
               python3-pil-dbg,
               python3-pyopencl,
               python3-pyopencl-dbg,
               python3-pyqt5-dbg,
               python3-pyqt5.qtopengl,
               python3-pyqt5.qtopengl-dbg,
               python3-pyqt5.qtsvg,
               python3-pyqt5.qtsvg-dbg,
               python3-scipy,
               python3-scipy-dbg,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
               xauth,
               xvfb
Standards-Version: 4.0.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/silx.git
Homepage: https://github.com/silx-kit/silx
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4

Package: silx
Architecture: all
Depends: python3-silx (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Executables
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This uses the Python 3 version of the package.

Package: python-silx
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python2 library
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 2 version of the package.

Package: python-silx-dbg
Architecture: any
Section: debug
Depends: python-fabio-dbg,
         python-h5py-dbg,
         python-lxml-dbg,
         python-matplotlib-dbg,
         python-numpy-dbg,
         python-pil-dbg,
         python-pyopencl-dbg,
         python-pyqt5-dbg,
         python-pyqt5.qtopengl-dbg,
         python-pyqt5.qtsvg-dbg,
         python-scipy-dbg,
         python-silx (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python2 debug
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 2 debug version of the package.

Package: python3-silx
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python3
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 3 version of the package.

Package: python3-silx-dbg
Architecture: any
Section: debug
Depends: python3-fabio-dbg,
         python3-h5py-dbg,
         python3-lxml-dbg,
         python3-matplotlib-dbg,
         python3-numpy-dbg,
         python3-pil-dbg,
         python3-pyopencl-dbg,
         python3-pyqt5-dbg,
         python3-pyqt5.qtopengl-dbg,
         python3-pyqt5.qtsvg-dbg,
         python3-scipy-dbg,
         python3-silx (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python3 debug
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 3 debug version of the package.

Package: python-silx-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Toolbox for X-Ray data analysis - Documentation
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the common documentation package.
