## silx 0.6.1%2Bdfsg

=== debian/changelog ===
silx (0.6.1+dfsg-2) unstable; urgency=medium

  * d/control
    - Bump Standrad-Version 4.1.1 (nothing to do)
  * fixed glibc 2.26 FTBFS with upstream patch glib2.26 (Closes: #882881)
  * d/patches
    + 0005-slocale.h-is-removed-in-GLIBC-2.26.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Jan 2018 09:32:38 +0100

silx (0.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.6.1+dfsg
  * update watch file

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 25 Nov 2017 17:02:19 +0100
