## silx 0.6.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -73,7 +73,7 @@
                python3-sphinxcontrib.programoutput,
                xauth,
                xvfb
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/silx.git
 Homepage: https://github.com/silx-kit/silx
