=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg// \
https://pypi.python.org/packages/source/s/@PACKAGE@/ \
 @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
