=== debian/changelog ===
silx (0.7.0+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 24 Mar 2018 09:18:23 +0100

silx (0.7.0+dfsg-2) unstable; urgency=medium

  * d/rules
    - use py3versions to get the python3 default interpreter version.
      This makes the package backportable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 13 Mar 2018 20:04:20 +0100

silx (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.7.0+dfsg
  * Bumped Strandards-Versions to 4.1.3 (nothing to do)
  * d/control
    - Build-Depends
     + Added python[3]-nbsphinx, python-concurrent.futures
  * d/copyright
    remove the third_party _local files.
  * d/patches
     + 0003-do-not-modify-PYTHONPATH-from-setup.py.patch (added)
     - 0005-slocale.h-is-removed-in-GLIBC-2.26.patch (obsolete)
     - 0006-prefer-pyqt5-over-pyside.patch (obsolete)
  * d/rules
    - removed the jessie backports specific code
    - compile extensions only once per interpreter.
    - unactive for now the build time tests.
    - build the doc only with python3.
  * d/watch
    - check the pgp signature

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 13 Mar 2018 07:32:00 +0100
