=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                ipython3-qtconsole,
                python-all-dbg,
                python-all-dev,
+               python-concurrent.futures,
                python-enum34,
                python-fabio,
                python-fabio-dbg,
@@ -27,6 +28,7 @@
                python-mako,
                python-matplotlib,
                python-matplotlib-dbg,
+               python-nbsphinx <!nodoc>,
                python-numpy,
                python-numpy-dbg,
                python-opengl,
@@ -54,6 +56,7 @@
                python3-mako,
                python3-matplotlib,
                python3-matplotlib-dbg,
+               python3-nbsphinx <!nodoc>,
                python3-numpy,
                python3-numpy-dbg,
                python3-opengl,
@@ -73,9 +76,9 @@
                python3-sphinxcontrib.programoutput,
                xauth,
                xvfb
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/silx.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/silx
+Vcs-Git: https://salsa.debian.org/science-team/silx.git
 Homepage: https://github.com/silx-kit/silx
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4
