## silx 0.8.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 
 numpy >= 1.8
 scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
-fabio >= 0.6              # For silx.io
+fabio >= 0.7              # For silx.io
 h5py                      # For silx.io
 pyopencl                  # For silx.opencl
 Mako                      # For pyopencl reduction
-ipython                   # For silx.gui.console
 qtconsole                 # For silx.gui.console
 matplotlib >= 1.2.0       # For silx.gui.plot
 PyOpenGL                  # For silx.gui.plot3d
-Pillow                    # for silx.opencl.image.test
+Pillow                    # For silx.opencl.image.test
+python-dateutil           # For silx.gui.plot
 
 # PyQt4, PyQt5 or PySide  # For silx.gui
 # Try to install a Qt binding from a wheel
