=== debian/changelog ===
silx (0.8.0+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 08 Aug 2018 14:18:01 +0200

silx (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.0+dfsg
  * Added the pub 4096R/26F8E116 key to keyring
      2016-04-11 Thomas Vincent <thomas.vincent@esrf.fr>
  * d/control
    - Build-Depends
      + Added pandoc
    - Removed obsolete X-Python[3]-Version
  * d/rules
    - Installed the QtDesgigner files only for Qt5.
    - Override dh_python3 to deal with qtdesigner files.
    - Run sphinx with xvfb in order to have the right silx.sx documentation.
    - Avoid QT warnings by setting XDG_RUNTIME_DIR

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Jul 2018 16:24:57 +0200
