=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                ipython-qtconsole,
                ipython3,
                ipython3-qtconsole,
+	       pandoc <!nodoc>,
                python-all-dbg,
                python-all-dev,
                python-concurrent.futures,
@@ -80,8 +81,6 @@
 Vcs-Browser: https://salsa.debian.org/science-team/silx
 Vcs-Git: https://salsa.debian.org/science-team/silx.git
 Homepage: https://github.com/silx-kit/silx
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.4
 
 Package: silx
 Architecture: all
