## silx 0.9.0%2Bdfsg

=== debian/changelog ===
silx (0.9.0+dfsg-3+deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * python{,3}-silx: Add dependency on python{,3}-scipy.  (Closes: #954352)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Jan 2021 10:41:21 +0100

silx (0.9.0+dfsg-3) unstable; urgency=medium

  * d/rules: Do not run Qt test for now.
  * d/t/control.autodep8: Fixed to run test for real.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 21 Feb 2019 11:22:03 +0100

silx (0.9.0+dfsg-2) unstable; urgency=medium

  * d/patches:
    + 0004-fix-FTBFS-with-numpy-0.16.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 20 Dec 2018 16:21:18 +0100

silx (0.9.0+dfsg-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Fixed autopkgtests and use control.autodep8
  * Used salsa-ci for continuous integration.
  * Run autopkgtests via xvfb-run
  * d/control: Removed Build-Depends: python-lxml[-dbg], python-enum34.

  [ Alexandre Marie ]
  * New upstream version 0.9.0+dfsg
  * d/watch: uversionmangling to deal with rc|alpha|beta versions.

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Mon, 17 Dec 2018 13:25:52 +0100
