=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: silx
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
-           Picca Frédéric-Emmanuel <picca@debian.org>
+           Picca Frédéric-Emmanuel <picca@debian.org>,
+           Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>
 Section: science
 Priority: optional
 Build-Depends: cython (>= 0.23.2),
@@ -19,13 +20,10 @@
                python-all-dbg,
                python-all-dev,
                python-concurrent.futures,
-               python-enum34,
                python-fabio,
                python-fabio-dbg,
                python-h5py,
                python-h5py-dbg,
-               python-lxml,
-               python-lxml-dbg,
                python-mako,
                python-matplotlib,
                python-matplotlib-dbg,
@@ -113,7 +111,7 @@
 Package: python-silx
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-scipy,
 Description: Toolbox for X-Ray data analysis - Python2 library
  The silx project aims at providing a collection of Python packages to
  support the development of data assessment, reduction and analysis
@@ -179,7 +177,7 @@
 Package: python3-silx
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-scipy,
 Description: Toolbox for X-Ray data analysis - Python3
  The silx project aims at providing a collection of Python packages to
  support the development of data assessment, reduction and analysis
