=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
 
+# avoir bbuild FTBFS
+export HOME=$(CURDIR)/debian/tmp-home
+export XDG_RUNTIME_DIR=$(HOME)/runtime
+export POCL_CACHE_DIR=$(HOME)/.cache/
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export POCL_CACHE_DIR=$(CURDIR)/.cache/
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
 export PYBUILD_NAME=silx
 export SPECFILE_USE_GNU_SOURCE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Make does not offer a recursive wildcard function, so here's one:
 rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))
@@ -28,7 +34,6 @@
 	rm -rf doc/build/html
 	rm -rf build/man
 	rm -rf *.egg-info
-	rm -rf $(POCL_CACHE_DIR)
 
 override_dh_auto_build:
 	dh_auto_build
@@ -47,9 +52,13 @@
 	dh_install -p silx package/desktop/silx.xml usr/share/mime/packages
 
 	# install the qtdesigner files only for the python3 package
-	dh_install -p python3-silx qtdesigner_plugins/*.py /usr/lib/qt4/plugins/designer/python
+	dh_install -p python3-silx qtdesigner_plugins/*.py /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python
 
 	dh_install
+
+override_dh_python3:
+	dh_python3
+	dh_python3 -p python3-silx /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python
 
 # WITH_QT_TEST=False to disable graphical tests
 # SILX_OPENCL=False to disable OpenCL tests
@@ -67,8 +76,9 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
-	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html"
+	#mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
+	mkdir -p -m 700 $(XDG_RUNTIME_DIR)
+	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m sphinx -N -bhtml source build/html"
 	dh_installdocs "doc/build/html" -p python-silx-doc
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
